gnutls_transport_is_ktls_enabled(3)

NAME
gnutls_transport_is_ktls_enabled - API function

SYNOPSIS
#include <gnutls/socket.h>

gnutls_transport_ktls_enable_flags_t gnutls_transport_is_ktls_enabled(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Checks if KTLS is now enabled and was properly inicialized.

RETURNS
GNUTLS_KTLS_RECV, GNUTLS_KTLS_SEND, GNUTLS_KTLS_DUPLEX, otherwise 0

SINCE
3.7.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/